Bug 356051 - raid1|5 no longer auto detected at boot time - f7 (update from fc6)
raid1|5 no longer auto detected at boot time - f7 (update from fc6)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 17:41 EDT by shrek-m
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 09:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mdadm -D (2.38 KB, text/plain)
2007-10-28 17:45 EDT, shrek-m
no flags Details
dmesg (26.43 KB, text/plain)
2007-10-28 17:47 EDT, shrek-m
no flags Details

  None (edit)
Description shrek-m 2007-10-28 17:41:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.8.1.8) Gecko/20071019 Fedora/2.0.0.8-1.fc7 Firefox/2.0.0.8

Description of problem:
todays fc6 update to f7.
the raid1 and raid5 devices are no longer auto detected at boot time.

`mdadm --auto-detect; mount -a` works in /etc/rc.local or as root.

# cat /etc/fstab 
LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0
LABEL=SWAP-hda3         swap                    swap    defaults        0 0

/dev/md0                /md0                    auto    defaults        0 0
/dev/md1                /md1                    auto    defaults,acl    0 0
/dev/md2                /md2                    auto    defaults,acl    0 0



Version-Release number of selected component (if applicable):
initscripts.x86_64 8.54.1-1   

How reproducible:
Always


Steps to Reproduce:
1. yum dist upgrade from fc6 to f7
2. reboot

Actual Results:
fstab errors while booting
/dev/md0 /dev/md1 /dev/md2 are no longer available

fc6 => f7 changed the devices
hda => sda  PATA
sda => sdb  SATA
sdb => sdc  SATA
sdc => sdd  SATA

Expected Results:
the raid devices should be available and mounted as in fc6 at boottime.

Additional info:
a;
the boot device (PATA) was under fc6 detected as "hda" and under fc7 as "sda"
this will evtl. produce the BMDMA, Emask errors while booting.

b;
"pci=nommconf"  kerneloption disables the MMCONF warning while booting.

c;
# fdisk -l /dev/sda /dev/sdb /dev/sdc /dev/sdd

Platte /dev/sda: 40.0 GByte, 40000000000 Byte
255 heads, 63 sectors/track, 4863 cylinders
Einheiten = Zylinder von 16065 × 512 = 8225280 Bytes

   Gerät  boot.     Anfang        Ende     Blöcke   Id  System
/dev/sda1   *           1         127     1020096   83  Linux
/dev/sda2             128        4589    35841015   83  Linux
/dev/sda3            4590        4863     2200905   82  Linux Swap / Solaris

Platte /dev/sdb: 160.0 GByte, 160041885696 Byte
255 heads, 63 sectors/track, 19457 cylinders
Einheiten = Zylinder von 16065 × 512 = 8225280 Bytes

   Gerät  boot.     Anfang        Ende     Blöcke   Id  System
/dev/sdb1   *           1         100      803218+  fd  Linux raid autodetect
/dev/sdb2             101       10000    79521750   fd  Linux raid autodetect
/dev/sdb3           10001       19457    75963352+  fd  Linux raid autodetect

Platte /dev/sdc: 160.0 GByte, 160041885696 Byte
255 heads, 63 sectors/track, 19457 cylinders
Einheiten = Zylinder von 16065 × 512 = 8225280 Bytes

   Gerät  boot.     Anfang        Ende     Blöcke   Id  System
/dev/sdc1   *           1         100      803218+  fd  Linux raid autodetect
/dev/sdc2             101       10000    79521750   fd  Linux raid autodetect
/dev/sdc3           10001       19457    75963352+  fd  Linux raid autodetect

Platte /dev/sdd: 160.0 GByte, 160041885696 Byte
255 heads, 63 sectors/track, 19457 cylinders
Einheiten = Zylinder von 16065 × 512 = 8225280 Bytes

   Gerät  boot.     Anfang        Ende     Blöcke   Id  System
/dev/sdd1   *           1         100      803218+  fd  Linux raid autodetect
/dev/sdd2             101       10000    79521750   fd  Linux raid autodetect
/dev/sdd3           10001       19457    75963352+  fd  Linux raid autodetect
Comment 1 shrek-m 2007-10-28 17:45:52 EDT
Created attachment 241001 [details]
mdadm -D
Comment 2 shrek-m 2007-10-28 17:47:12 EDT
Created attachment 241021 [details]
dmesg
Comment 3 Bill Nottingham 2007-10-29 11:35:04 EDT
Do you have a mdadm.conf?
Comment 4 shrek-m 2007-10-29 13:41:56 EDT
no, i guess that the mdadm.conf was here in fc6 and was somehow blown away by
the `yum update`

# mdadm --examine --scan >> /etc/mdadm.conf
# echo "MAILADDR root" >> /etc/mdadm.conf 

now it is ok.

# cat /etc/mdadm.conf 
ARRAY /dev/md0 level=raid1 num-devices=3 UUID=ca2d499b:ff364e06:7c39cde1:27429f10
ARRAY /dev/md1 level=raid5 num-devices=3 UUID=5ac8f1d4:0ea6b24e:80cec79d:82d97abc
ARRAY /dev/md2 level=raid5 num-devices=3 UUID=5773d3c5:f1e3e1a4:ae1f2ccc:3a33796b
MAILADDR root

----rc.sysinit----
# grep -2 mdadm /etc/rc.sysinit 
# RAID setup
update_boot_stage RCraid
if [ -f /etc/mdadm.conf ]; then
    /sbin/mdadm -A -s --auto=yes
fi
----/----


but why they are not auto-detected without the conf file if this works?
tested and works without mdadm.conf
----why not additional? ----
if [ ! -f /etc/mdadm.conf ]; then
    /sbin/mdadm --auto-detect
fi
----/----
Comment 5 Bill Nottingham 2007-10-29 14:00:01 EDT
Historical reasons. One issue is that you probably don't want to be scanning all
drives on every boot on machines you don't need to.
Comment 6 shrek-m 2007-11-09 09:00:46 EST
no raid-problems with the new generated mdadm.conf, thanks.

- with a 80wire/40pin ide-cable the BMDMA errors are gone away too.
- the "ide device names change" as scsi devices is mentioned in the release-notes.
http://download.fedora.redhat.com/pub/fedora/linux/releases/7/Everything/i386/os/RELEASE-NOTES-en_US.html


closed

Note You need to log in before you can comment on or make changes to this bug.